Bug 245925 - su and SigSegFault
Summary: su and SigSegFault
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coreutils (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: i386 Linux
low
low
Target Milestone: ---
: ---
Assignee: Ondrej Vasik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-27 13:57 UTC by Andrzej Nakonieczny
Modified: 2008-08-04 10:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 10:43:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrzej Nakonieczny 2007-06-27 13:57:13 UTC
Description of problem:
Sometimes when I try to change user to another (root) I got:

[user@xxx ~]$ su -
Segmentation fault
[user@xxx ~]$

Version-Release number of selected component (if applicable):
[user@xxx ~]$ rpm -q redhat-release
redhat-release-5Server-5.0.0.9
[user@xxx ~]$ rpm -qf /bin/su
coreutils-5.97-12.1.el5
[user@xxx ~]$


How reproducible:
I don't know - I got it 2 times, on different servers (but all are IBM HS20)

Comment 1 Tim Waugh 2007-06-28 15:46:49 UTC
The problem may very well be in a PAM module.

Can you get it to happen on demand?  If so, it would be great to try doing that
starting as root, with 'ulimit -c unlimited' set in order to get a core dump.

Comment 2 Ondrej Vasik 2008-08-04 10:43:30 UTC
Too long in NEEDINFO, closing INSUFFICIENT_DATA. Feel free to reopen it in the case of more informations available.


Note You need to log in before you can comment on or make changes to this bug.